.PHONY: clean
ZIPFILE=ip_tagger.zip

all: $(ZIPFILE)
	curl -s -S --user rokudev:$(DEVPASSWORD) --digest -F "archive=@$(ZIPFILE)" \
	-F "mysubmit=Install" --output /dev/null --write-out "%{http_code}" \
	http://$(ROKU_DEV_TARGET)/plugin_install

$(ZIPFILE):  manifest source/*.brs images/*.png
	zip $@ manifest source/*.* images/*.*

clean:
	rm $(ZIPFILE)
